Bug 1291550 - Fix the example in dm-multipath guide, section - 'Moving swap File Systems from a Single Path Device to a Multipath Device'
Fix the example in dm-multipath guide, section - 'Moving swap File Systems fr...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-DM_Multipath (Show other bugs)
7.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Steven J. Levine
ecs-bugs
: Documentation
Depends On:
Blocks: 1291552
  Show dependency treegraph
 
Reported: 2015-12-15 01:25 EST by Milan P. Gandhi
Modified: 2016-11-07 16:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1291552 (view as bug list)
Environment:
Last Closed: 2016-11-07 16:19:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan P. Gandhi 2015-12-15 01:25:00 EST
Document URL:

RHEL 7 DM-Multipath guide:

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/DM_Multipath/move_swap_to_multipath.html

Section Number and Name: 
5.4. Moving swap File Systems from a Single Path Device to a Multipath Device

Describe the issue: 

In above section of dm-multipath guide, there is following example entry mentioned in step 3:

<snip>
	Edit the /etc/fstab file and replace the old device path to the root device with the multipath device.
	For example, if you had the following entry in the /etc/fstab file:

	/dev/sda2 swap                    ext4    defaults        0 0

	You would change the entry to the following:

	/dev/mapper/swapdev swap          ext4    defaults        0 0
<snip>


Above entry has a small problem. These entries are for swap filesystem, but still there is ext4 mentioned for it.

Suggestions for improvement: 

The correct entries for swap filesystems in above section would be:

	/dev/sda2 swap                    swap    defaults        0 0

and 

	/dev/mapper/swapdev swap          swap    defaults        0 0

Additional information:
Comment 2 Steven J. Levine 2016-01-06 15:06:47 EST
Fix made in working copy of document. This will be on the Portal at 7.3, or earlier if there is an interim build.

Note You need to log in before you can comment on or make changes to this bug.